//=============================================================================
// SwitchOnNewGame.js
//=============================================================================

/*:
 * @plugindesc Turns ON the specified switch when starting a new game.
 * @author Yoji Ojima
 *
 * @param Switch ID
 * @desc The ID of the switch to be turned ON when starting a new game.
 * @default 0
 *
 * @help This plugin does not provide plugin commands.
 */

/*:ja
 * @plugindesc ゲームをロードしたときに指定のスイッチをONにします。
 * @author Yoji Ojima
 *
 * @param Variable ID
 * @desc ゲームをロードしたときにONにするスイッチのIDです。
 * @default 0
 *
 * @help このプラグインには、プラグインコマンドはありません。
 */

(function() {

    var parameters = PluginManager.parameters('SwitchOnNewGame');
    var switchId = Number(parameters['Switch ID'] || 0);

    var _DataManager_SetupNewGame_StartSwitch = DataManager.setupNewGame;
        
    DataManager.setupNewGame = function() {
        _DataManager_SetupNewGame_StartSwitch.call(this);
        $gameSwitches.setValue(switchId, true);
    };

})();
